Manual do PHP
Anterior |  | Próxima

# DOMCharacterData->deleteData()

DOMCharacterData->deleteData() -- Remove a range of characters from the node

## Descrição

class DOMCharacterData {
void deleteData ( int offset, int count )
}

Deletes count characters starting from position offset.

## Lista de parâmetros

offset

  The offset from which to start removing.

count

  The number of characters to delete. If the sum of offset and count exceeds the length, then all characters to the end of the data are deleted.

## Valores Retornados

Não há valor retornado.

## Exceptions

`DOM_INDEX_SIZE_ERR`

  Raised if offset is negative or greater than the number of 16-bit units in data, or if count is negative.

## Veja também

DOMCharacterData->appendData()
DOMCharacterData->insertData()
DOMCharacterData->replaceData()
DOMCharacterData->substringData()

Anterior | Principal | Próxima
DOMCharacterData->appendData() | Acima | DOMCharacterData->insertData()